org.vertx.java.deploy

## Class Verticle

- java.lang.Object
- - org.vertx.java.deploy.Verticle

-     public abstract class Verticle
      extends java.lang.Object

  A verticle is the unit of deployment in vert.x

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Container` | `container` A reference to the vert.x container
    `protected Vertx` | `vertx` A reference to the vert.x runtime

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Verticle()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Container` | `getContainer()`
    `Vertx` | `getVertx()`
    `void` | `setContainer(Container container)` Inject the container
    `void` | `setVertx(Vertx vertx)` Inject vertx
    `abstract void` | `start()` Vert.x calls the start method when the verticle is deployed
    `void` | `stop()` Vert.x calls the stop method when the verticle is undeployed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertx

          protected Vertx vertx

      A reference to the vert.x runtime

    - #### container

          protected Container container

      A reference to the vert.x container

  - ### Constructor Detail

    - #### Verticle

          public Verticle()

  - ### Method Detail

    - #### getContainer

          public Container getContainer()

      Returns:
        a reference to the Container

    - #### setContainer

          public void setContainer(Container container)

      Inject the container

    - #### getVertx

          public Vertx getVertx()

      Returns:
        A reference to a Vertx

    - #### setVertx

          public void setVertx(Vertx vertx)

      Inject vertx

    - #### start

          public abstract void start()
                              throws java.lang.Exception

      Vert.x calls the start method when the verticle is deployed
      Throws:
        `java.lang.Exception`

    - #### stop

          public void stop()
                    throws java.lang.Exception

      Vert.x calls the stop method when the verticle is undeployed. Put any cleanup code for your verticle in here
      Throws:
        `java.lang.Exception`